Unit LynxAPI;
{ ========================================================================== }
{ =   Lynx Tecnologia Eletrnica Ltda.                                     = }
{ =   Projeto:   Driver p/ Windows NT / E/S digital     Data: 28/fev/1999  = }
{ =   Mdulo:    LynxAPI                                                   = }
{ =   Autor:     Lauro                                                     = }
{ =   Descrio: Acesso s primitivas do driver Lynx-IO                    = }
{ =   Verso:    1.0                                                       = }
{ ========================================================================== }

{-------------------------  Descrio da Interface  -------------------------}
Interface
  Uses Windows;

{ ===================================================== }
{ =         Declarao de constantes e tipos          = }
{ ===================================================== }

  Type {------------------------------ Parmetro de sada da apiDriverInfo --}
    TpDriverInfo = record
      VersionHigh: byte;	// Verso do driver: high part
      VersionLow : byte;   	// Verso do driver: low part
      IoBase     : longint;     // Endereo base da placa
      nIoPorts   : longint;     // Nmero de ports de I/O
    end;


{ ========================================================================== }
{ =                     Primitivas do driver VAD32D                        = }
{ ========================================================================== }

  {-- Primitivas de controle de acesso e iniciao --}
  Function  LynxIO_Open: dword; stdcall;
  Procedure LynxIO_Close; stdcall;
  Function  LynxIO_DriverInfo (Var DriverInfo: TpDriverInfo): boolean; stdcall;

  {-- Primitivas de gerais do driver --}
  Function  LynxIO_ReadDI_Byte (RegNumber: byte): byte; stdcall;
  Function  LynxIO_ReadDI (RegNumber: byte): word; stdcall;
  Procedure LynxIO_WriteDO_Byte (RegNumber: byte; Value: byte); stdcall;
  Procedure LynxIO_WriteDO (RegNumber: byte; Value: word); stdcall;



{--------------------------  Bloco de Implementao  ------------------------}
Implementation


{ ========================================================================== }
{ =              Primitivas de controle de acesso ao driver                = }
{ ========================================================================== }

{----------------------------------------- Abre o acesso ao drivee Lynx-IO --}
Function LynxIO_Open; stdcall; external 'LYNXIO.DLL';

{---------------------------------------- Fecha o acesso ao driver Lynx-IO --}
Procedure LynxIO_Close; stdcall; external 'LYNXIO.DLL';

{-------------------------------------------- Obtem informaes do driver  --}
Function LynxIO_DriverInfo; stdcall; external 'LYNXIO.DLL';

{------------------------------------ Leitura do port de entrada RegNumber --}
Function LynxIO_ReadDI_Byte; stdcall; external 'LYNXIO.DLL';

{---------------------- Leitura do port de entrada RegNumber e RegNumber+1 --}
Function LynxIO_ReadDI; stdcall; external 'LYNXIO.DLL';

{-------------------------------------- Escreve no port de saida RegNumber --}
Procedure LynxIO_WriteDO_Byte; stdcall; external 'LYNXIO.DLL';

{------------------------ Escreve no port de saida RegNumber e RegNumber+1 --}
Procedure LynxIO_WriteDO; stdcall; external 'LYNXIO.DLL';


{ ===================================================== }
{ =            Rotina de iniciao do mdulo          = }
{ ===================================================== }

end.

