Unit Main;
{ ========================================================================== }
{ =   Lynx Tecnologia Eletrnica Ltda.                                     = }
{ =   Projeto:   Driver p/ Windows NT / E/S digital     Data: 28/fev/1999  = }
{ =   Programa:  Teste do driver Lynx-IO                                   = }
{ =   Mdulo:    Main                                                      = }
{ =   Autor:     Lauro                                                     = }
{ =   Descrio: Window principal do programa.                             = }
{ =   Verso:    1.0                                                       = }
{ ========================================================================== }

{-------------------------  Descrio da Interface  -------------------------}
Interface

Uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
     StdCtrls, Buttons, Menus, ExtCtrls, ComCtrls;

{ ===================================================== }
{ =               Declarao de tipos                 = }
{ ===================================================== }

Type
  TMainForm = class(TForm)
    panBack     : TPanel;
    StatusBar   : TStatusBar;
    MainMenu    : TMainMenu;
    panControl  : TPanel;
    btOpen      : TBitBtn;
    btClose     : TBitBtn;
    btVersion   : TBitBtn;
    panTiControl: TPanel;
    panTest     : TPanel;
    panTiTest   : TPanel;
    Arquivo1    : TMenuItem;
    Sair1       : TMenuItem;
    btTestDIO: TBitBtn;
    Procedure FormCreate (Sender: TObject);
    Procedure FormClose (Sender: TObject; var Action: TCloseAction);
    Procedure btCloseClick (Sender: TObject);
    Procedure btOpenClick (Sender: TObject);
    Procedure btVersionClick (Sender: TObject);
    Procedure Sair1Click (Sender: TObject);
    procedure btTestDIOClick(Sender: TObject);
  private
    { Private declarations }
    fOpen   : boolean;          { Indica se o VxD foi carregado }
    fInitCAD: boolean;          { Indica se o ADS2000 foi iniciado }
    Procedure FinalizaDriver;
    Procedure UpdateCommands;
  public
    { Public declarations }
  end;


{ ===================================================== }
{ =                Variveis globais                  = }
{ ===================================================== }

  Var MainForm: TMainForm;


{-------------------------  Descrio da Implementao ----------------------}
Implementation
  Uses LynxAPI, TestDIO;

{$R *.DFM}



{ ========================================================================== }
{ =                   Implementao do objeto TMainForm                    = }
{ ========================================================================== }

{---------------------------------- TMainForm: Trata criao do formulrio --}
Procedure TMainForm.FormCreate (Sender: TObject);
  Var i   : smallint;
      sAux: string;
begin
  fOpen    := false;
  fInitCAD := false;
  UpdateCommands;
end;

{------------------------------- TMainForm: Trata fechamento do formulrio --}
Procedure TMainForm.FormClose (Sender: TObject; var Action: TCloseAction);
begin
  FinalizaDriver;
end;

{----------------------- TMainForm: Trata comando para fechar o driver VxD --}
Procedure TMainForm.btCloseClick (Sender: TObject);
begin
  FinalizaDriver;
  StatusBar.Panels.Items [1].Text := '';
  UpdateCommands;
end;

{--------------------- TMainForm: Trata comando para carregar o driver VxD --}
Procedure TMainForm.btOpenClick (Sender: TObject);
begin
  fOpen := (LynxIO_Open = 0);
  UpdateCommands;
end;

{------------------------ TMainForm: Trata comando de teste do E/S digital --}
Procedure TMainForm.btTestDIOClick (Sender: TObject);
begin
  dlgTestDIO.ShowModal;
end;

{-------------- TMainForm: Trata comando para obter a verso do driver VxD --}
Procedure TMainForm.btVersionClick (Sender: TObject);
  Var DriverInfo: TpDriverInfo;
begin
  if  LynxIO_DriverInfo (DriverInfo)  then
    StatusBar.Panels.Items [0].Text := 'Lynx-IO ' + IntToStr (DriverInfo.VersionHigh) +
                                       '.' + IntToStr (DriverInfo.VersionLow)
  else
    StatusBar.Panels.Items [0].Text := '';
end;

{---------------------------------------- TMainForm: Finaliza o driver VxD --}
Procedure TMainForm.FinalizaDriver;
begin
  if  fOpen
  then begin
    LynxIO_Close;
    fOpen    := false;
    fInitCAD := false;
  end;
end;

{----------------------------------------- TMainForm: Finaliza a aplicao --}
Procedure TMainForm.Sair1Click (Sender: TObject);
begin
  Close;
end;

{------------------------------ TMainForm: Atualiza habilitao dos botes --}
Procedure TMainForm.UpdateCommands;
begin
  btOpen.Enabled    := not fOpen;
  btClose.Enabled   := fOpen;
  btTestDIO.Enabled := fOpen;
  btVersion.Enabled := fOpen;
end;

end.
